> For the complete documentation index, see [llms.txt](https://docs.maibmerchants.md/e-commerce/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maibmerchants.md/e-commerce/ro/stergere-card-din-maib-ecomm.md).

# Ștergere card din maib ecomm

Ștergerea cardului din maib ecomm pentru plățile recurente și one-click.

| API endpoint (DELETE)                                    |
| -------------------------------------------------------- |
| <https://api.maibmerchants.md/v1/delete-card/{billerId}> |

{% hint style="danger" %}
Asigurați-vă că antetul *Content-Type* și *body* sunt excluse din request-urile către acest endpoint.
{% endhint %}

### **Parametri pentru request (URL path)**

<table><thead><tr><th width="150">Parametru</th><th width="133">Obligatoriu</th><th width="96">Tip</th><th>Descriere</th></tr></thead><tbody><tr><td>billerId</td><td>DA</td><td>string</td><td>Identificatorul cardului în sistemul <strong>maib ecomm</strong></td></tr></tbody></table>

Exemplu request (SHELL)

```sh
curl --location --request DELETE 'https://api.maibmerchants.md/v1/delete-card/f16a9006-128a-46bc-8e2a-77a6ee99df75' \
--header 'Authorization: Bearer access_token' 
```

### **Parametri răspuns**

<table><thead><tr><th width="193.33333333333331">Parametru</th><th width="126">Tip</th><th>Descriere</th></tr></thead><tbody><tr><td>result</td><td>object</td><td>Obiect care contine identificatorul cardului si rezultatul executare request</td></tr><tr><td><ul><li>billerId</li></ul></td><td>string</td><td>Identificatorul cardului în sistemul <strong>maib ecomm</strong></td></tr><tr><td><ul><li>status</li></ul></td><td>string</td><td><p>Stare executare request.</p><p>OK - cardul a fost șters cu succes </p></td></tr><tr><td>ok</td><td>boolean</td><td><p>Stare procesare request:</p><p><em>true</em> - nu sunt erori, cardul a fost șters din sistemul <strong>maib ecomm;</strong></p><p><em>false -</em> sunt erori (detaliile despre erori vor fi în afișate în <em>errors</em>);</p></td></tr><tr><td>errors</td><td>array</td><td>Erori procesare request. <a href="/e-commerce/ro/erori/erori-api.md"><mark style="color:blue;">Tabelul cu erori</mark></a></td></tr><tr><td><ul><li>errorCode</li></ul></td><td>string</td><td>Cod eroare</td></tr><tr><td><ul><li>errorMessage</li></ul></td><td>string</td><td>Descriere eroare</td></tr><tr><td><ul><li>errorArgs</li></ul></td><td>object</td><td>Obiectul conține parametri cu detalii despre eroare</td></tr></tbody></table>

**Exemplu răspuns**

{% tabs %}
{% tab title="Fără erori" %}

```json
{
"result": {
"billerId": "f16a9006-128a-46bc-8e2a-77a6ee99df75",
"status": "OK"
},
"ok": "true"
}
```

{% endtab %}

{% tab title="Cu erori" %}

```json
{
    "errors": [
        {
            "errorCode": "13003",
            "errorMessage": "Biller ID 'f16a9006-128a-46bc-8e2a-77a6ee99df75' not found",
            "errorArgs": {
                "billerId": "f16a9006-128a-46bc-8e2a-77a6ee99df75"
            }
        }
    ],
    "ok": false
}
```

{% endtab %}
{% endtabs %}
